use harmony::{
    inventory::Inventory,
    maestro::Maestro,
    modules::application::{RustWebappScore, features::ContinuousDelivery},
    topology::{K8sAnywhereTopology, Url},
};

#[tokio::main]
async fn main() {
    let app = RustWebappScore {
        name: "Example Rust Webapp".to_string(),
        domain: Url::Url(url::Url::parse("https://rustapp.harmony.example.com").unwrap()),
        features: vec![Box::new(ContinuousDelivery {})],
    };

    let topology = K8sAnywhereTopology::from_env();
    let mut maestro = Maestro::new(Inventory::autoload(), topology);
    maestro.register_all(vec![Box::new(app)]);
    harmony_cli::init(maestro, None).await.unwrap();
}
